Subject: bug#50851: 28.0.50; flyspell-mode overrides context-menu-mode

From: Jim Porter <[email-masked]>
Date: Fri, 2 Sep 2022 19:34:41 -0700

On 9/2/2022 6:03 AM, Lars Ingebrigtsen wrote:
> Philip Kaludercic <[email-masked]> writes:
> 
>> Yes, but this is not the context menu that is active everywhere else.  I
>> believe that what I am expecting is intuitive, as browsers behave the
>> same way.  If you have a text field and right-click on any regular word,
>> you get the "undo", "cut", "paste", etc. options.  But if you
>> right-click on a typo you get spell checking suggestion _in addition_ to
>> the previous options.
> 
> Makes sense to me.  Anybody else have an opinion here?

I think this makes sense, subject to some handwaving about what should 
happen if a user has customized the context menu heavily. I was looking 
into something similar a while ago, but I'd have to refresh myself to 
say anything more substantial.